PUT
/
api
/
v1
/
properties
/
{property_id}
/
billing-settings
Upsert property billing settings
curl --request PUT \
  --url http://127.0.0.1:8080/api/v1/properties/{property_id}/billing-settings \
  --header 'Content-Type: application/json' \
  --data '
{
  "billing_day": 123,
  "due_day": 123,
  "electricity_unit_price": 123,
  "electricity_fixed_amount": 123,
  "water_unit_price": 123,
  "water_fixed_amount": 123
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "billing_day": 123,
  "due_day": 123,
  "electricity_unit_price": 123,
  "electricity_fixed_amount": 123,
  "water_unit_price": 123,
  "water_fixed_amount": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Path Parameters

property_id
string<uuid>
required

Property ID

Body

application/json
billing_day
integer<int32> | null
due_day
integer<int32> | null
electricity_pricing_type
null | enum<string>
Available options:
NONE,
FIXED,
METERED,
PER_OCCUPANT
electricity_unit_price
number<double> | null
electricity_fixed_amount
number<double> | null
water_pricing_type
null | enum<string>
Available options:
NONE,
FIXED,
METERED,
PER_OCCUPANT
water_unit_price
number<double> | null
water_fixed_amount
number<double> | null

Response

200 - application/json

Upserted billing settings

id
string<uuid>
required
organization_id
string<uuid>
required
property_id
string<uuid>
required
billing_day
integer<int32>
required
due_day
integer<int32>
required
electricity_pricing_type
enum<string>
required
Available options:
NONE,
FIXED,
METERED,
PER_OCCUPANT
electricity_unit_price
number<double>
required
electricity_fixed_amount
number<double>
required
water_pricing_type
enum<string>
required
Available options:
NONE,
FIXED,
METERED,
PER_OCCUPANT
water_unit_price
number<double>
required
water_fixed_amount
number<double>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required